Bug 31352 - Terminology: Borrower name
Summary: Terminology: Borrower name
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Label/patron card printing (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Alex Buckley
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2022-08-12 14:41 UTC by Katrin Fischer
Modified: 2022-10-23 09:57 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: String patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This updates the table heading name from "Borrower name" to "Patron name" when adding a new batch in the patron card creator.
Version(s) released in:
22.11.00,22.05.06,21.11.12


Attachments
Bug 31352: Change 'Borrower name' to 'Patron name' (1.70 KB, patch)
2022-08-16 01:47 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 31352: Change 'Borrower name' to 'Patron name' (1.75 KB, patch)
2022-08-18 00:09 UTC, David Nind
Details | Diff | Splinter Review
Bug 31352: Change 'Borrower name' to 'Patron name' (1.81 KB, patch)
2022-08-20 08:43 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2022-08-12 14:41:32 UTC
When adding a new batch in the patron card creator, the list of added patrons shows the heading "Borrower name" this should be "Patron" or "Patron name".
Comment 1 Alex Buckley 2022-08-16 01:47:48 UTC
Created attachment 139167 [details] [review]
Bug 31352: Change 'Borrower name' to 'Patron name'

Test plan:
1. Go to Tools > Patron card creator > New > Card batch
2. Enter a borrowernumber and click 'Add patron(s)'
3. Observe a table with the leftmost column name 'Borrower name' loads
4. Apply patch
5. Refresh page
6. Observe the leftmost column name is 'Patron name'

Sponsored-by: Catalyst IT, New Zealand
Comment 2 David Nind 2022-08-18 00:09:17 UTC
Created attachment 139307 [details] [review]
Bug 31352: Change 'Borrower name' to 'Patron name'

Test plan:
1. Go to Tools > Patron card creator > New > Card batch
2. Enter a borrowernumber and click 'Add patron(s)'
3. Observe a table with the leftmost column name 'Borrower name' loads
4. Apply patch
5. Refresh page
6. Observe the leftmost column name is 'Patron name'

Sponsored-by: Catalyst IT, New Zealand

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2022-08-20 08:43:28 UTC
Created attachment 139536 [details] [review]
Bug 31352: Change 'Borrower name' to 'Patron name'

Test plan:
1. Go to Tools > Patron card creator > New > Card batch
2. Enter a borrowernumber and click 'Add patron(s)'
3. Observe a table with the leftmost column name 'Borrower name' loads
4. Apply patch
5. Refresh page
6. Observe the leftmost column name is 'Patron name'

Sponsored-by: Catalyst IT, New Zealand

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2022-08-22 14:46:23 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 5 Lucas Gass 2022-10-14 19:44:35 UTC
Backported to 22.05.x for upcoming 22.05.06 release
Comment 6 Victor Grousset/tuxayo 2022-10-21 22:24:44 UTC
Not backported to oldoldstable (21.05.x). Feel free to ask if it's needed.

Nothing to document it seems, marking resolved.
Comment 7 Arthur Suzuki 2022-10-22 22:10:23 UTC
Thanks!

Pushed to 21.11 for 21.11.12